%global debug_package %{nil}

Name:           sparkleshare
Version:        0.4.0
Release:        1
Summary:        Easy file sharing based on git repositories
Group:          User Interface/Desktops
License:        GPLv3
URL:            http://www.sparkleshare.org/
Source0:        https://github.com/downloads/hbons/SparkleShare/sparkleshare-%{version}.tar.gz
BuildRequires:  mono-devel
BuildRequires:  ndesk-dbus-devel
BuildRequires:  ndesk-dbus-glib-devel
BuildRequires:  notify-sharp-devel
BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  gnome-doc-utils
BuildRequires:  nant
BuildRequires:  webkit-sharp-devel
BuildRequires:  nautilus-python-devel
BuildRequires:  smartirc4net
Requires:       git
Requires:       desktop-file-utils
Requires:       yelp
Requires:       libindicator
Requires:       smartirc4net
Requires:       openssh

%description
Easy file sharing based on git repositories. A special folder is setup,
and directories/files placed within are placed in a git-based version
control system and synchronized elsewhere.


%package nautilus
Summary:        Nautilus plugin for %{name}
Group:          User Interface/Desktops
License:        GPLv3


%description nautilus
Easy file sharing based on git repositories. A special folder is setup,
and directories/files placed within are placed in a git-based version
control system and synchronized elsewhere.



%prep
%setup -q

%build
%configure --enable-appindicator=auto
# no parallel make on SMP because it's racy for this build :(
GMCS_FLAGS=-codepage:utf8 make

%install
rm -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_libdir}/mono/gac/
make install DESTDIR=%{buildroot}
desktop-file-validate %{buildroot}/%{_datadir}/applications/sparkleshare.desktop

# find translations
%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README
%{_bindir}/%{name}
%dir %{_libdir}/%{name}/
%{_libdir}/%{name}/*
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/*
%dir %{_datadir}/gnome/help/%{name}/
%{_datadir}/gnome/help/%{name}/*
%{_mandir}/man1/%{name}.1.*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/16x16/apps/folder-sparkleshare.png
%{_datadir}/icons/hicolor/22x22/apps/folder-sparkleshare.png
%{_datadir}/icons/hicolor/24x24/apps/folder-sparkleshare.png
%{_datadir}/icons/hicolor/256x256/apps/folder-sparkleshare.png
%{_datadir}/icons/hicolor/32x32/apps/folder-sparkleshare.png
%{_datadir}/icons/hicolor/48x48/apps/folder-sparkleshare.png
%{_datadir}/icons/hicolor/24x24/status/process-syncing-sparkleshare-i*.png

%files nautilus
%defattr(-,root,root,-)
%{_datadir}/nautilus-python/extensions/sparkleshare-nautilus3-extension.py*

%changelog

* Tue Nov 15 2011 Ismael Olea <ismael@olea.org> 0.4.0-1
- update to 0.4.0
- fixing rpmlint's
- adding requirements

* Fri Sep 09 2011 colin <colin> 0.2.5-1.mga2
+ Revision: 141855
- Update to 0.2.5
- Tidy up spec

  + agallou <agallou>
    - replace paths by macros
    - remove %%clean
    - remove %%post
    - remove %%postun
    - remove %%posttrans
    - remove Buildroot definition
    - remove changelog
    - import sparkleshare
    - Created package structure for sparkleshare.

